html, body {
	width: 100%;
	height: 100%;
  	margin: 0px;
  	padding: 0px;
	display: flex;
	justify-content: center;
	align-items: center;
}

html {
	flex-direction: column;
}

body {
	flex-direction: row;
	overflow: hidden;
    touch-action: none;
	/*background: radial-gradient(#efefef, #000000);*/
	background: black;
}

canvas {
	margin: auto;
	display: block;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}


input[type=range].slider-style {
  width: 100%;
  margin: 1.15px 0;
  background-color: transparent;
  -webkit-appearance: none;
}
input[type=range].slider-style:focus {
  outline: none;
}
input[type=range].slider-style::-webkit-slider-runnable-track {
  background: #e28413;
  border: 3px solid #000022;
  border-radius: 24.7px;
  width: 100%;
  height: 11.7px;
  cursor: pointer;
}
input[type=range].slider-style::-webkit-slider-thumb {
  margin-top: -4.15px;
  width: 16px;
  height: 14px;
  background: #000022;
  border: 2.1px solid #e28413;
  border-radius: 47px;
  cursor: pointer;
  -webkit-appearance: none;
}
input[type=range].slider-style:focus::-webkit-slider-runnable-track {
  background: #e28413;
}
input[type=range].slider-style::-moz-range-track {
  background: #e28413;
  border: 3px solid #000022;
  border-radius: 24.7px;
  width: 100%;
  height: 11.7px;
  cursor: pointer;
}
input[type=range].slider-style::-moz-range-thumb {
  width: 16px;
  height: 14px;
  background: #000022;
  border: 2.1px solid #e28413;
  border-radius: 47px;
  cursor: pointer;
}
input[type=range].slider-style::-ms-track {
  background: transparent;
  border-color: transparent;
  border-width: 1.15px 0;
  color: transparent;
  width: 100%;
  height: 11.7px;
  cursor: pointer;
}
input[type=range].slider-style::-ms-fill-lower {
  background: #e28413;
  border: 3px solid #000022;
  border-radius: 49.4px;
}
input[type=range].slider-style::-ms-fill-upper {
  background: #e28413;
  border: 3px solid #000022;
  border-radius: 49.4px;
}
input[type=range].slider-style::-ms-thumb {
  width: 16px;
  height: 14px;
  background: #000022;
  border: 2.1px solid #e28413;
  border-radius: 47px;
  cursor: pointer;
  margin-top: 0px;
  /*Needed to keep the Edge thumb centred*/
}
input[type=range].slider-style:focus::-ms-fill-lower {
  background: #e28413;
}
input[type=range].slider-style:focus::-ms-fill-upper {
  background: #e28413;
}
/*TODO: Use one of the selectors from https://stackoverflow.com/a/20541859/7077589 and figure out
how to remove the virtical space around the range input in IE*/
@supports (-ms-ime-align:auto) {
  /* Pre-Chromium Edge only styles, selector taken from hhttps://stackoverflow.com/a/32202953/7077589 */
  input[type=range].slider-style {
    margin: 0;
    /*Edge starts the margin from the thumb, not the track as other browsers do*/
  }
}
